Loading...
Searching...
No Matches
Opm::IdealGas< Scalar > Class Template Reference

Relations valid for an ideal gas. More...

`#include <IdealGas.hpp>`

## Static Public Member Functions

template<class Evaluation>
static OPM_HOST_DEVICE Evaluation | density (const Evaluation &avgMolarMass, const Evaluation &temperature, const Evaluation &pressure)
| The density of the gas in , depending on pressure, temperature and average molar mass of the gas.
template<class Evaluation>
static OPM_HOST_DEVICE Evaluation | pressure (const Evaluation &temperature, const Evaluation &rhoMolar)
| The pressure of the gas in , depending on the molar density and temperature.
template<class Evaluation>
static OPM_HOST_DEVICE Evaluation | molarDensity (const Evaluation &temperature, const Evaluation &pressure)
| The molar density of the gas , depending on pressure and temperature.

## Static Public Attributes

static constexpr Scalar | R = Constants<Scalar>::R
| The ideal gas constant .

## Detailed Description

template<class Scalar>
class Opm::IdealGas< Scalar >

Relations valid for an ideal gas.

The documentation for this class was generated from the following file:

- opm/material/IdealGas.hpp